Skip to content
Newer
Older
100644 24 lines (19 sloc) 853 Bytes
7d6abae @indirect First try. I think it works?
authored Aug 16, 2010
1 # -*- encoding: utf-8 -*-
a38fda7 @indirect convention dictates lib/jquery/rails over lib/jquery-rails
authored May 26, 2011
2 require File.expand_path('../lib/jquery/rails/version', __FILE__)
7d6abae @indirect First try. I think it works?
authored Aug 16, 2010
3
4 Gem::Specification.new do |s|
5 s.name = "jquery-rails"
6 s.version = Jquery::Rails::VERSION
7 s.platform = Gem::Platform::RUBY
e76ae48 @indirect Gemspec, right
authored Aug 16, 2010
8 s.authors = ["André Arko"]
9 s.email = ["andre@arko.net"]
7d6abae @indirect First try. I think it works?
authored Aug 16, 2010
10 s.homepage = "http://rubygems.org/gems/jquery-rails"
e76ae48 @indirect Gemspec, right
authored Aug 16, 2010
11 s.summary = "Use jQuery with Rails 3"
9e4c9fd @indirect drop the gem dep back down to rails 3.0 now that it works with both
authored May 3, 2011
12 s.description = "This gem provides jQuery and the jQuery-ujs driver for your Rails 3 application."
7d6abae @indirect First try. I think it works?
authored Aug 16, 2010
13
14 s.required_rubygems_version = ">= 1.3.6"
15 s.rubyforge_project = "jquery-rails"
16
4284502 @arkxu should not rely on beta, that would conflict with specific rails 3.2.…
arkxu authored Feb 27, 2012
17 s.add_dependency "railties", ">= 3.2.0", "< 5.0"
8800c15 @indirect lower rails dependency to just railties
authored May 6, 2011
18 s.add_dependency "thor", "~> 0.14"
7d6abae @indirect First try. I think it works?
authored Aug 16, 2010
19
20 s.files = `git ls-files`.split("\n")
2d78b94 @joliss Fix s.executables expression
joliss authored Mar 4, 2012
21 s.executables = `git ls-files -- bin/*`.split("\n").map { |f| File.basename(f) }
7d6abae @indirect First try. I think it works?
authored Aug 16, 2010
22 s.require_path = 'lib'
6827641 @JangoSteve Removed extraneous stuff from Gemfile causing dependency errors
JangoSteve authored Feb 28, 2012
23 end
Something went wrong with that request. Please try again.